# FREELANCER_CREDIT_LINE_APPLICATION

The status of a freelancer credit line application has changed.

Endpoint: POST freelancer_credit_line
Version: 1.0

## Request fields (application/json):

  - `credit_line_id` (string,null)
    The unique ID of a credit line.
    Example: "c5f22b00baa845869ceb3a7d90d59bffccln"

  - `decision` (string)
    Solaris' decision on the credit line request.
    Enum: "OFFERED", "PENDING", "REJECTED"

  - `id` (string)
    The unique ID of a freelancer credit line application.
    Example: "7d903b7483294e3b902b89097d699dbdccla"

  - `identification_id` (string,null)
    The unique identification ID of a freelancer, generated after completing the freelancer identification process.
    Example: "51462340e8653f8e2864801e8ebb4131cidt"

  - `mandate_reference_number` (string,null)
    The reference number of the mandate applicable on the credit line.
    Example: "LXD3RGLRTP6HHM"

  - `net_disposable_income` (object,null)
    The net disposable income amount available after deducting taxes and all other expenses.
    Example: {"value":1000,"unit":"cents","currency":"EUR"}

  - `net_disposable_income.value` (integer, required)
    The amount value
    Example: 1000

  - `net_disposable_income.currency` (string, required)
    The currency of the given value. Only EURO is currently supported.
    Example: "EUR"

  - `net_disposable_income.unit` (string, required)
    The unit of the given value.
    Enum: "cents"

  - `offered_interest_rate` (number,null)
    Solaris' offered interest rate on the installment loan.
    Example: 0.11

  - `offered_limit` (object,null)
    The amount of the credit line limit offered to the freelancer.
    Example: {"value":1000,"unit":"cents","currency":"EUR"}

  - `offered_limit.value` (integer, required)
    The amount value
    Example: 1000

  - `offered_limit.currency` (string, required)
    The currency of the given value. Only EURO is currently supported.
    Example: "EUR"

  - `offered_limit.unit` (string, required)
    The unit of the given value.
    Enum: "cents"

  - `person_id` (string)
    The unique person ID, generated after completing the person onboarding process.
    Example: "ad8f5cefdc73035f17973fecb4fa2ebccper"

  - `reason` (string,null)
    Solaris' decision on the credit line request.

  - `recipient_iban` (string,null)
    The IBAN of the beneficiary's account.
    Example: "DE13110101014386274299"

  - `status` (string)
    The status of the credit line application.
    Enum: "credit_record_pending", "initial_scoring_pending", "account_snapshot_pending", "account_snapshot_verification_pending", "offered", "identification_creation_pending", "identification_pending", "identification_completed", "rejected", "expired", "credit_line_creation_pending", "credit_line_created"

  - `status_description` (string,null)
    The description of the credit line application's status.
    Example: "Rejected by Scorer"


## Response 200 fields
